View Issue Details

IDProjectCategoryView StatusLast Update
0004599Talerbank (demonstrator)public2016-11-20 03:26
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004599: JS-less bank
DescriptionAdapt the bank as done for jsless merchants
TagsNo tags attached.

Relationships

related to 0004772 closedFlorian Dold Protocol JS-less bank 

Activities

Florian Dold

2016-09-12 23:57

manager   ~0011113

The main issue here is what mechanism we should use (for createReserve and confirmReserve), either HTTP headers or HTML data tags.

For HTTP headers, the issue is that we don't want to check headers for every status code, and there is no status code that is especially appropriate for what we're trying to do.

Marcello Stanisci

2016-11-09 18:14

manager   ~0011467

I'd stay consistent with how we solved the JS-less thing for frontends,
so by HTTP headers. If that turns out to be infeasible, then we can see something else.

Marcello Stanisci

2016-11-17 00:12

manager   ~0011503

Last edited: 2016-11-17 00:16

View 2 revisions

Christian suggests we return 202 in both cases: when creating a reserve and
when confirming a reserve.

So to create a reserve, the bank would return:

Status: 202
X-Taler-Callback-Url: bank pin-tan's URL
X-Taler-Amount: {'value': x, 'fraction': y, 'currency': 'z'}
X-Taler-Wttypes: ['SEPA', 'test']

Whereas to confirm a reserve, it would return:

Status: 202
X-Taler-Reserve-Pub: RESERVEPUBLICKEY

Marcello Stanisci

2016-11-17 00:15

manager   ~0011504

Florian, you can see a specification of how the JS-less comunication would
look like.

Florian Dold

2016-11-17 03:15

manager   ~0011509

Last edited: 2016-11-17 21:15

View 3 revisions

+1, except that it should be X-Taler-Wt-Types.

I'll start implementing this in the wallet then.

Florian Dold

2016-11-17 21:21

manager   ~0011519

Wallet support implemented in 54e3bd277387

Marcello Stanisci

2016-11-17 22:08

manager   ~0011521

Half-baked in 4599 branch.

Marcello Stanisci

2016-11-19 17:51

manager   ~0011536

Fixed in ae7b567.

Issue History

Date Modified Username Field Change
2016-06-30 17:42 Marcello Stanisci New Issue
2016-06-30 17:42 Marcello Stanisci Status new => assigned
2016-06-30 17:42 Marcello Stanisci Assigned To => Marcello Stanisci
2016-07-09 17:24 Christian Grothoff Target Version => 0.2
2016-09-12 23:57 Florian Dold Note Added: 0011113
2016-11-09 18:07 Marcello Stanisci Assigned To Marcello Stanisci => Florian Dold
2016-11-09 18:14 Marcello Stanisci Note Added: 0011467
2016-11-09 18:15 Marcello Stanisci Assigned To Florian Dold => Marcello Stanisci
2016-11-09 22:15 Marcello Stanisci Summary jsless bank => JS-less bank
2016-11-17 00:12 Marcello Stanisci Note Added: 0011503
2016-11-17 00:14 Marcello Stanisci Relationship added related to 0004772
2016-11-17 00:15 Marcello Stanisci Note Added: 0011504
2016-11-17 00:16 Marcello Stanisci Note Edited: 0011503 View Revisions
2016-11-17 03:15 Florian Dold Note Added: 0011509
2016-11-17 20:47 Marcello Stanisci Priority low => high
2016-11-17 21:15 Florian Dold Note Edited: 0011509 View Revisions
2016-11-17 21:15 Florian Dold Note Edited: 0011509 View Revisions
2016-11-17 21:21 Florian Dold Note Added: 0011519
2016-11-17 22:08 Marcello Stanisci Note Added: 0011521
2016-11-19 17:51 Marcello Stanisci Note Added: 0011536
2016-11-19 17:51 Marcello Stanisci Status assigned => resolved
2016-11-19 17:51 Marcello Stanisci Resolution open => fixed
2016-11-20 03:25 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed